﻿// The client event ‘RowSelectionChanged’ takes two parameters sender and e
// sender  is the object which is raising the event
// e is the RowSelectionChangedEventArgs


function WebDataGrid1_RowSelectionChanged(sender, e) {
    //Gets reference to the WebDropDown
    var dropdown = $find("MainContent_WebDropDown1");

    //Gets the selected rows collection of the WebDataGrid
    var selectedRows = e.getSelectedRows();
    //Gets the row that is selected from the selected rows collection
    var row = selectedRows.getItem(0);
    //Gets the second cell object in the row
    //In this case it is ProductName cell 
    var cell = row.get_cell(1);
    //Gets the text in the cell
    var text = cell.get_text();

    //Sets the text of the value display to the product name of the selected row
    dropdown.set_currentValue(text, true);
}

// The client event ‘ValueChanging' takes two parameters sender and e
// sender  is the object which is raising the event
// e is the DropDownEditEventArgs

function WebDropDown1_ValueChanging(sender, e) {

    e.set_cancel(true);

}
