﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI.GridControls;

namespace Infragistics4
{
    public partial class _Default : System.Web.UI.Page
    {
        static string eroko01 = "";

        protected void Page_Load(object sender, EventArgs e)
        {
            //Set the current value 
            //WebDropDown1.CurrentValue = "Select a Product";
            WebDropDown1.CurrentValue = WebDropDown1.CurrentValue;

            //Set the drop-down container width
            WebDropDown1.DropDownContainerWidth = 500;

            //Create a new drop-down item
            Infragistics.Web.UI.ListControls.DropDownItem productsItem = new Infragistics.Web.UI.ListControls.DropDownItem();
            //Set the text of the drop-down item
            productsItem.Text = "Products";
            //Add the drop-down item to the WebDropDown
            WebDropDown1.Items.Add(productsItem);

            //Creat a template with WebDataGrid
            WebDropDown1.ItemTemplate = new multiColumnTemplate();

            //This is explained in the step 10
            WebDropDown1.ClientEvents.ValueChanging = "WebDropDown1_ValueChanging";
        }

        private class multiColumnTemplate : ITemplate
        {

            public void InstantiateIn(Control container)
            {
                //Create a new WebDataGrid
                Infragistics.Web.UI.GridControls.WebDataGrid myGrid = new Infragistics.Web.UI.GridControls.WebDataGrid();
                myGrid.ID = "templateGrid";

                //Create a table that will contain three columns.
                DataTable table = new DataTable("Table");
                System.Data.DataSet ds = new DataSet();

                //Create three columns that will hold sample data.
                DataColumn column1 = new DataColumn("Name", typeof(string));
                DataColumn column2 = new DataColumn("Surname", typeof(string));
                DataColumn column3 = new DataColumn("Address", typeof(string));

                //Add the three columns to the table.
                table.Columns.AddRange(new DataColumn[] { column1, column2, column3 });

                //Add the table to the dataset.
                ds.Tables.Add(table);
                ds.Tables[0].Rows.Add(new object[] { "Red", "Green", "Blue" });
                ds.Tables[0].Rows.Add(new object[] { "XXX", "YYY", "ZZZ" });
                for (int i = 0; i < 100; i++)
                {
                    ds.Tables[0].Rows.Add(new object[] { i.ToString() + "A", i.ToString() + "B", i.ToString() + "C" });
                }
               
                myGrid.DataSource = ds;
                myGrid.Width = 470;
                myGrid.Height = ds.Tables[0].Rows.Count * 34;
                if ((ds.Tables[0].Rows.Count * 34) < 500)
                    myGrid.Height = 500;
                myGrid.DataBind();

                //Enable the selection behavior on the grid
                myGrid.Behaviors.CreateBehavior<Selection>();
                myGrid.Behaviors.Selection.CellClickAction = CellClickAction.Row;
                myGrid.Behaviors.Selection.RowSelectType = SelectType.Single;

                //This is explained in the step 10
                myGrid.Behaviors.Selection.SelectionClientEvents.RowSelectionChanged = "WebDataGrid1_RowSelectionChanged";
                myGrid.ScrollLeft = 0;
                myGrid.ScrollTop = 0;

                container.Controls.Add(myGrid);
            }
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            //WebDropDown1.TextField = "Hallo";
            //WebDropDown1.ValueField = "Hallo";
            //WebDropDown1.SelectedValue = "Hallo";
            //WebDropDown1.CurrentValue = "Hallo";
            
            //Button1.Text = WebDropDown1.CurrentValue;
            //Button1.Text = WebDropDown1.CurrentValue;
        }

        protected void Timer1_Tick(object sender, EventArgs e)
        {
            eroko01 = WebDropDown1.CurrentValue;
        }

        protected void WebDropDown1_ValueChanged(object sender, Infragistics.Web.UI.ListControls.DropDownValueChangedEventArgs e)
        {
            Button1.Text = WebDropDown1.CurrentValue;
        }
    }
}
